Get card metadata
Beta
Returns a single metadata record for the card specified by the Primary Account Number (PAN), Bank Identification Number (BIN), token, or instrument supplied.Body·
application/json
- source
The source object
An existing payment source
- typeDiscriminatorType: stringrequired
The source type
- numberType: stringmin length:12max length:19
Pattern: ^[0-9]+$requiredThe Primary Account Number (PAN)
- Type: string enumformat
The format to provide the output in.
A
basicresponse will only include standard metadata, while acard_payoutsformatted response will also include fields specific to card payouts.values- basic
- card
_payouts
- Type: stringreference
A reference you can later use to identify this Payment Context. For example, an order number.
Responses
- application/json
- 401
Unauthorized
- 404
Card Metadata not found
- 415
Unsupported Media Type
- application/json
- 500
Internal Server Error
- 502
Bad Gateway
- 504
Gateway Timeout
Request Example for post/metadata/card
curl 'https://{prefix}.api.sandbox.checkout.com/metadata/card' \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"source": {
"type": "card",
"number": "4539467987109256"
},
"format": "basic"
}'
{
"bin": "45434720",
"scheme": "visa",
"local_schemes": [
"cartes_bancaires"
],
"card_type": "CREDIT",
"card_category": "CONSUMER",
"currency": "MUR",
"issuer": "STATE BANK OF MAURITIUS",
"issuer_country": "MU",
"issuer_country_name": "Mauritius",
"is_combo_card": false,
"product_id": "F",
"product_type": "Visa Classic",
"subproduct_id": "VA",
"regulated_indicator": false,
"is_reloadable_prepaid": false,
"anonymous_prepaid_description": "Anonymous prepaid program and not AMLD5 compliant"
}